﻿html {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.loginText {
    font-size: 30px;
    color: #639ff3;
    font-family: Arial, sans-serif;
    font-weight: bold;
    padding-bottom: 3px;
}


.emailTxt {
    position: absolute;
    left: -10000px;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
}

#loginPageImage {
    display: flex;
    justify-content: center;
    background-color: #639ff3;
    width: 40%;
    align-items: center;
}

    #loginPageImage img {
        width: 50%;
        height: min-content;
    }


.dx-button-content {
    font-family: Arial, sans-serif;
    font-weight: 600;
    font-size: 14px;
}

.dx-checkbox-text {
    font-size: 13px;
}

.dx-label span {
    font-size: 13px !important;
}

.dx-editor-outlined .dx-label span {
    margin-top: -3px;
}

.dx-texteditor-input-container input {
    font-size: 13px;
}

body {
    width: 100%;
    height: 100%;
    margin: 0;
    overflow: hidden;
    font-family: Arial, sans-serif;
}

#loginPageContainer {
    display: inline-flex;
    width: 100vw;
    height: 100vh;
}

#bf_accountInfo {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    justify-content: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#whistleblowerText {
    width: 170px;
    height: 30px;
    padding-top: 3%;
}

#loginText {
    width: 100px;
    height: 45px;
}

.LoginContainer {
    background-color: #ffffffed;
    display: flex;
    flex-direction: column;
    padding: 2em;
    border-radius: 1em;
    justify-content: center;
    align-items: center;
    padding-bottom: 3em;
}

#form .dx-texteditor-input {
    color: #639ff3;
}

#form .dx-checkbox-text {
    color: #639ff3;
}

#form .dx-texteditor {
    padding-top: 2% !important;
    padding-bottom: 2% !important;
}

#logoImageMobile {
    display: none;
}

@media screen and (min-device-width:320px) and (max-device-width: 480px ) {
    #bf_accountInfo {
        background-image: url("../App_Themes/svg/mobile-login-background.svg") !important;
        background-repeat: repeat;
        background-size:unset;
    }

    .LoginContainer {
        background:none;
        width: inherit;
    }

    #logoImageMobile {
        display: block;
        position: absolute;
        bottom: 0;
        width: 220px;
        padding-bottom: 20px;
    }

    * {
        font-size: 14px !important;
    }

    #loginPageImage {
        display: none !important;
    }

    #whistleblowerText {
        width: 140px;
    }

    #whistleblowerImage {
        width: 25px;
        height: 20px;
    }

    .loginText {
        font-size: 30px !important;
    }

    #form {
        height: auto;
        width: 80% !important;
    }

        #form .dx-checkbox-icon {
            width: 17px;
            height: 17px;
        }
}

@media screen and (min-device-width: 480px) and (max-width:1000px) {
    #loginPageImage {
        display: none !important;
    }

    #form {
        margin-top: 10%;
        width: 75% !important;
    }
}


#recaptcha {
    display: flex;
    align-items: center;
    flex-direction: column;
}
